//
// Classify200ResponseDetectionsInner.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Classify200ResponseDetectionsInner: Codable, JSONEncodable, Hashable {

    public var mask: String?
    public var area: Int?
    public var boundingBox: [Int]?
    public var confidence: Float?
    public var attributes: Classify200ResponseDetectionsInnerAttributes?

    public init(mask: String? = nil, area: Int? = nil, boundingBox: [Int]? = nil, confidence: Float? = nil, attributes: Classify200ResponseDetectionsInnerAttributes? = nil) {
        self.mask = mask
        self.area = area
        self.boundingBox = boundingBox
        self.confidence = confidence
        self.attributes = attributes
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case mask
        case area
        case boundingBox
        case confidence
        case attributes
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(mask, forKey: .mask)
        try container.encodeIfPresent(area, forKey: .area)
        try container.encodeIfPresent(boundingBox, forKey: .boundingBox)
        try container.encodeIfPresent(confidence, forKey: .confidence)
        try container.encodeIfPresent(attributes, forKey: .attributes)
    }
}

